html {
  zoom: 0.8;
}

:root {
  --cor-primaria: #100a05;
  --cor-secundaria: #f2e9e1;
  --cor-terciaria: #f28e30;
  --cor-hover: #99581c;
  --cor-correta: #5aab35;
  --cor-incorreta: #d53939;

  --fonte-primaria: 'Krona One', serif;
  --fonte-secundaria: 'Montserrat', serif;
}

body {
  background-image: url('../assets/Wallpaper.png');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  background-attachment: fixed;
  background-color: var(--cor-primaria);
  box-sizing: border-box;
  color: var(--cor-secundaria);
}

/* === Quiz === */

.question {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  max-width: 600px;
  padding: 2rem 0;
}

.question p {
  font-family: var(--fonte-primaria);
  color: var(--cor-secundaria);
  font-size: 1.8rem;
  font-weight: bold;
  text-align: center;
  margin-bottom: 2rem;
  margin-top: -1rem;
}

.question .answer-container {
  font-family: var(--fonte-secundaria);
  color: var(--cor-secundaria);
  display: flex;
  align-items: center;
  width: 100%;
  max-width: 600px;
  box-sizing: border-box;
  border: 2px solid var(--cor-secundaria);
  border-radius: 12px;
  padding: 1rem;
  margin: 0.5rem 0;
  cursor: pointer;
  transition: all 0.3s ease;
}

.question input[type='radio'] {
  margin-right: 1rem;
  transform: scale(1.3);
}

.question label {
  flex: 1;
  font-size: 1.2rem;
  font-weight: bold;
}

.question .answer-container {
  border: 2px solid var(--cor-secundaria);
  transition: all 0.3s ease;
}

.question .answer-container:hover {
  border: 2px solid var(--cor-terciaria);
  color: var(--cor-terciaria);
}

.question .answer-container.correta {
  border: 2px solid var(--cor-correta) !important;
  color: var(--cor-correta);
  background-color: rgba(90, 171, 53, 0.3);
}

.question .answer-container.incorreta {
  border: 2px solid var(--cor-incorreta) !important;
  color: var(--cor-incorreta);
  background-color: rgba(235, 37, 37, 0.3);
}

.question .answer-container.neutra {
  border: 2px solid #777 !important;
  color: #bbb;
  background-color: rgba(120, 120, 120, 0.2);
}

strong {
  color: var(--cor-terciaria);
}

@media (max-width: 768px) {
  .question {
    min-height: 100vh;
    margin: 0 auto;
    max-width: 100%;
    padding: 2rem 10px;
    justify-content: center;
  }

  .question p {
    font-size: 1.4rem;
    margin-bottom: 1rem;
  }

  .question .answer-container {
    min-width: 100%;
    box-sizing: border-box;
    padding: 0.8rem;
    font-size: 1.1rem;
  }

  .question input[type='radio'] {
    transform: scale(1.2);
  }

  .question label {
    font-size: 1rem;
  }

  .question .answer-container:hover {
    border: 2px solid var(--cor-terciaria);
    color: var(--cor-terciaria);
  }

  .question .answer-container.correta {
    background-color: green;
  }
}
